Skip to main content
GET
/
reports
/
{report_id}
Get report
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/reports/{report_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.sandbox.{id}.gr4vy.app/reports/{report_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.sandbox.{id}.gr4vy.app/reports/{report_id}")
.header("Authorization", "Bearer <token>")
.asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/reports/{report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/reports/{report_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.{id}.gr4vy.app/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/reports/{report_id} \
--header 'Authorization: Bearer <token>'
{
  "type": "report",
  "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
  "merchant_account_id": "default",
  "name": "Failed Authorizations 042022",
  "creator_id": "bd5d40d1-913b-419c-bd62-84efc46e0026",
  "creator_display_name": "John Doe",
  "created_at": "2013-07-16T19:23:00.000+00:00",
  "updated_at": "2013-07-16T19:23:00.000+00:00",
  "next_execution_at": "2023-01-01T00:00:00.000+00:00",
  "description": "Transactions that failed to authorize in April 2022",
  "schedule": "monthly",
  "schedule_enabled": true,
  "schedule_timezone": "<string>",
  "spec": {
    "model": "detailed_settlement",
    "params": {
      "filters": {
        "ingested_at": {
          "start": "day_start",
          "end": "day_end"
        }
      }
    }
  },
  "latest_execution": {
    "type": "report-execution",
    "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
    "created_at": "2013-07-16T19:23:00.000+00:00",
    "updated_at": "2013-07-16T19:23:00.000+00:00",
    "status": "succeeded",
    "context": {
      "reference_timestamp": "2013-07-16T19:23:00.000+00:00",
      "reference_timezone": "Europe/London"
    }
  }
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
This endpoint requires the reports.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

report_id
string<uuid>
required

The unique ID for a report.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns a report.

A report record.

type
enum<string>

The type of this resource. Is always report.

Available options:
report
Example:

"report"

id
string<uuid>

The unique identifier for this report.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

name
string

The name of this report.

Maximum string length: 100
Example:

"Failed Authorizations 042022"

creator_id
string<uuid> | null

The unique identifier for the creator of this report.

Example:

"bd5d40d1-913b-419c-bd62-84efc46e0026"

creator_display_name
string | null

The name of the creator of this report.

Maximum string length: 1000
Example:

"John Doe"

creator_type
enum<string> | null

The type of the creator of this report.

Available options:
user,
private_key
created_at
string<date-time>

The date and time this report was created in our system.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>

The date and time this report was last updated.

Example:

"2013-07-16T19:23:00.000+00:00"

next_execution_at
string<date-time> | null

The date and time this report will next be executed, provided that schedule_enabled is true. This value is null if this is a one-off report.

Example:

"2023-01-01T00:00:00.000+00:00"

description
string | null

The description of this report.

Maximum string length: 1000
Example:

"Transactions that failed to authorize in April 2022"

schedule
enum<string>

Specifies the schedule of this report.

If this is a one-off report, this value is once.

If this is a recurring report, this value is set to the frequency by which the report will be executed. For example, a monthly schedule means that this report will be periodically executed at the start of each month.

Note that a weekly schedule means that the report is executed at the start of every Monday.

Available options:
daily,
monthly,
once,
weekly
Example:

"monthly"

schedule_enabled
boolean

Indicates whether this report's scheduling is enabled. This value can only be set to true if this is a recurring report.

When this value is set to true, this report will be executed at the next_execution_at date and time.

When this value is set to false, future executions of this report are paused until this value is set to true again.

Example:

true

schedule_timezone
string

The time zone in which the next execution will be scheduled. This value is used to calculate this report's next_execution_at value and is only relevant if this is a recurring report. This time zone is also used to calculate the timestamp range for reports that use date-time placeholders. Date-time placeholders are dynamic timestamps that change with every report execution.

spec
Detailed Settlement Report Specification · object

The specification of a detailed settlement report.

latest_execution
Report Execution Summary · object | null

Details of the latest execution of this report.